create or alter procedure SET_PR_FAP (
    MONTHINDEX integer)
as
declare variable ID_REPORT integer;
declare variable ID_STAT integer;
declare variable D_REP date;
begin
  for select report.id_report, report.startdate from report
    where report.economstate = 4
    and report.monthindex = :monthindex
    into :id_report, :d_rep do
  begin

  for select stattalon.id_stattalon
    from stattalon
inner join depart_lpu  d on stattalon.kod_podr_rmis=d.dep_code and stattalon.id_report=d.id_rep
inner join sp_fap f on f.podr=d.oid_dt and d.mcod=f.mkod
        where stattalon.id_report = :id_report and stattalon.pr_fap is null and (f.dn_licen is not null) and (f.dn_licen<= :d_rep)
        into :id_stat do
     Begin
    update stattalon  set
    stattalon.pr_fap = 1
  where stattalon.id_report = :id_report and stattalon.id_stattalon = :id_stat;
     end

  end

end
